/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package vector;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

class AppTest {
    @Test void stringVector(){
      v = new Vector(3, 1, 9, 10);
      asserEquals("3.0 1.0 9.0 10.0", v.toString());
    }

    @Test void multiplicationScalar(){
      v = new Vector(3, 1, 9, 10);
      Vector result_vector = v.multiplication(4)
      asserEquals("12.0 4.0 36.0 40.0", result_vector.toString());
    }

    @Test void divisionScalar(){
      v = new Vector(6, 2, 20, 10);
      Vector result_vector = v.division(2)
      asserEquals("3.0 1.0 10.0 5.0", result_vector.toString());
    }

    @Test void sumVector(){
      v = new Vector(3, 1, 20, 10);
      v1 = new Vector(4, 9, 1, 5);
      Vector result_vector = Vector.sum(v, v1)
      asserEquals("7.0 10.0 21.0 15.0", result_vector.toString());
    }

    @Test void minusVector(){
      v = new Vector(3, 1, 20, 10);
      v1 = new Vector(4, 9, 1, 5);
      Vector result_vector = Vector.minus(v, v1)
      asserEquals("-1.0 -8.0 19.0 5.0", result_vector.toString());
    }
}
